## Overview

1. A simple MPI code
--------------------

'pchpc_tut_likwid.c'

2. Included here are code variants of a dense matrix vector multiplication written in C99.
------------------

Code variants:
* `dmvm.c`: Plain sequential reference version (By LIKWID Developers)
* `dmvm-omp.c`: OpenMP parallel version (By LIKWID Developers)


## PREPARE

Get interactive job:

 * SCC :

`$ srun -n <number of nodes> -p <partition> -t hh:min:sec --pty bash`

Setup environment:
* `$ module load likwid`

## BUILD

Plain:

 $ gcc -o pchpc_tut_likwid pchpc_tut_likwid.c
`$ gcc -o dmvm dmvm.c`

With OpenMP:

`$ gcc -qopenmp -o dmvm-omp dmvm-omp.c`


## RUN Examples

Follow the tutorial:


